petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPMonitorCancel

Clears all monitors for a KSP object.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPMonitorCancel(KSP ksp)

Logically Collective on KSP Many br

### Input Parameters

ksp -iterative context obtained from KSPCreate() Many br

### Options Database Key

-ksp_monitor_cancel -Cancels all monitors that have Many brbeen hardwired into a code by calls to KSPMonitorSet(), Many brbut does not cancel those set via the options database. Many br

Many br

### Keywords

KSP, set, monitor

### See Also

KSPMonitorDefault(), KSPMonitorLGResidualNormCreate(), KSPMonitorSet()

Level:intermediate
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex30.c.html